Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.util
Class ShapeUtils

    java.lang.Object
      org.jdesktop.swingx.util.ShapeUtils

    public final class ShapeUtils

extends java.lang.Object

Author:
  joshy

Method Summary
`static java.awt.Shape` | `generatePolygon(int sides, int outsideRadius, boolean normalize)`
`static java.awt.Shape` | `generatePolygon(int sides, int outsideRadius, int insideRadius)`
`static java.awt.Shape` | `generatePolygon(int sides, int outsideRadius, int insideRadius, boolean normalize)`
`static java.awt.Shape` | `generateShapeFromText(java.awt.Font font, char ch)`
`static java.awt.Shape` | `generateShapeFromText(java.awt.Font font, java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generatePolygon

    public static java.awt.Shape generatePolygon(int sides,
                                                 int outsideRadius,
                                                 boolean normalize)

### generatePolygon

    public static java.awt.Shape generatePolygon(int sides,
                                                 int outsideRadius,
                                                 int insideRadius,
                                                 boolean normalize)

### generatePolygon

    public static java.awt.Shape generatePolygon(int sides,
                                                 int outsideRadius,
                                                 int insideRadius)

### generateShapeFromText

    public static java.awt.Shape generateShapeFromText(java.awt.Font font,
                                                       char ch)

### generateShapeFromText

    public static java.awt.Shape generateShapeFromText(java.awt.Font font,
                                                       java.lang.String string)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.